Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVProfessionalAuthorisationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVProfessionalAuthorisationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVProfessionalAuthorisationType extends Object implements Serializable

Java class for ConsultChapterIVProfessionalAuthorisationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVProfessionalAuthorisationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ProfessionalCV" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVProfessionalCodeType" minOccurs="0"/>
             <element name="PurchasingAdvisorName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="ProfessionalAuthorisationId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVProfessionalAuthorisationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `String`
  `getProfessionalAuthorisationId()`
  Unique technical identifier to PROFESSIONAL_AUTHORISATION
  `ConsultChapterIVProfessionalCodeType`
  `getProfessionalCV()`
  Foreign key (FK) inherited from the entity PROFESSIONAL_CODE.
  `String`
  `getPurchasingAdvisorName()`
  Name of an authorised prescriber.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setProfessionalAuthorisationId(String value)`
  Sets the value of the professionalAuthorisationId property.
  `void`
  `setProfessionalCV(ConsultChapterIVProfessionalCodeType value)`
  Sets the value of the professionalCV property.
  `void`
  `setPurchasingAdvisorName(String value)`
  Sets the value of the purchasingAdvisorName property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVProfessionalAuthorisationType

    public ConsultChapterIVProfessionalAuthorisationType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getProfessionalCV

    public ConsultChapterIVProfessionalCodeType getProfessionalCV()
    Foreign key (FK) inherited from the entity PROFESSIONAL_CODE.
    Returns:
      possible object is `ConsultChapterIVProfessionalCodeType`

  - ### setProfessionalCV

    public void setProfessionalCV(ConsultChapterIVProfessionalCodeType value)
    Sets the value of the professionalCV property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVProfessionalCodeType`
    See Also:
      - `getProfessionalCV()`

  - ### getPurchasingAdvisorName

    public String getPurchasingAdvisorName()
    Name of an authorised prescriber.
    Returns:
      possible object is `String`

  - ### setPurchasingAdvisorName

    public void setPurchasingAdvisorName(String value)
    Sets the value of the purchasingAdvisorName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPurchasingAdvisorName()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getProfessionalAuthorisationId

    public String getProfessionalAuthorisationId()
    Unique technical identifier to PROFESSIONAL_AUTHORISATION
    Returns:
      possible object is `String`

  - ### setProfessionalAuthorisationId

    public void setProfessionalAuthorisationId(String value)
    Sets the value of the professionalAuthorisationId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProfessionalAuthorisationId()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`